r89 - in trunk: . patches

Martin Michlmayr tbm at costa.debian.org
Fri Nov 4 18:19:23 UTC 2005


Author: tbm
Date: 2005-11-04 18:18:59 +0000 (Fri, 04 Nov 2005)
New Revision: 89

Added:
   trunk/patches/11_check_template_style.dpatch
Modified:
   trunk/changelog
   trunk/patches/00list
Log:
Check if the specified template style exists before processing images.
Closes: #308114.


Modified: trunk/changelog
===================================================================
--- trunk/changelog	2005-11-04 15:15:23 UTC (rev 88)
+++ trunk/changelog	2005-11-04 18:18:59 UTC (rev 89)
@@ -9,6 +9,8 @@
     with the same letter.  Closes: #334088.
   * debian/patches/10_symlinks_movies.dpatch: Support linkInsteadOfCopy
     for movie files.  Closes: #334064.
+  * debian/patches/11_check_template_style.dpatch: Check if the specified
+    template style exists before processing images.  Closes: #308114.
 
  -- Martin Michlmayr <tbm at cyrius.com>  Sat, 15 Oct 2005 20:49:21 +0100
 

Modified: trunk/patches/00list
===================================================================
--- trunk/patches/00list	2005-11-04 15:15:23 UTC (rev 88)
+++ trunk/patches/00list	2005-11-04 18:18:59 UTC (rev 89)
@@ -5,3 +5,4 @@
 08_fix_bins-edit-gui_encoding
 09_fix_wrong_relpath
 10_symlinks_movies
+11_check_template_style

Added: trunk/patches/11_check_template_style.dpatch
===================================================================
--- trunk/patches/11_check_template_style.dpatch	2005-11-04 15:15:23 UTC (rev 88)
+++ trunk/patches/11_check_template_style.dpatch	2005-11-04 18:18:59 UTC (rev 89)
@@ -0,0 +1,21 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 11_check_template_style.dpatch by Martin Michlmayr <tbm at cyrius.com>
+##
+## DP: Check if template style exists before processing images [#308114]
+
+ at DPATCH@
+--- bins.old/bins	2005-10-15 16:02:07.000000000 +0100
++++ bins.new/bins	2005-11-04 18:04:45.000000000 +0000
+@@ -1092,6 +1092,11 @@
+         exit 1;
+     }
+ 
++    if (! scalar templateDirs($configHash)) {
++        print "Cannot find template style '", $configHash->{templateStyle}, "'\n";
++        exit 1;
++    }
++
+     $picdir = $ARGV[0];
+     $albumdir = $ARGV[1];
+ 
+


Property changes on: trunk/patches/11_check_template_style.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-bins-commits mailing list